On Thu, Sep 20, 2012 at 10:33 AM, Paul T. Bauman <ptbauman@gmail.com> wrote:
On Thu, Sep 20, 2012 at 11:19 AM, Cody Permann <codypermann@gmail.com> wrote:
If that's the case, perhaps we could just add the -mmacosx-version-min=10.5 flag to the existing compiler which seems to rectify the problem on newer versions of XCode.  I could figure out which versions and adjust compiler.m4 appropriately.

Just to log here since I was on a private thread with Cody: my build-from-source compiler (gcc 4.6) didn't seem to have the dynamic_cast issue, but the addition of the flag did not seem to affect my builds in any visible way. So, I'm good with this route (as a Mac user).

If I do add this flag, I intend to enable it ONLY for the Mac supplied compilers (4.2.1) on the appropriate versions of XCode. I don't see any reason to pollute any other GCC compilers with this nastiness.

Cody
 
Thanks,

Paul